Bug 106839 - Kudzu configures CS4235 sound incorrectly
Kudzu configures CS4235 sound incorrectly
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2003-10-11 11:56 EDT by Fred New
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-11 20:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2003-10-11 11:56:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031008

Description of problem:
I have an Intel JN440BX motherboard with an onboard CS4235 sound device.  Kudzu
is unable to configure modules for this device correctly at boot up, and I must
use sndconfig to get the correct configuration.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install Severn beta2.
2.  Use a character startup.
3.  Let kudzu configure the sound device by pressing enter at the appropriate times.

Actual Results:  My Gnome volume control reports that there is no audio device.
 Running sndconfig configures it correctly.

Expected Results:  Kudzu should configure this device correctly at the first boot.

Additional info:

This is similar to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=102366.
Relevant lines in modules.conf generated by kudzu:

alias sound-slot-1 ad1848
post-install sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
Relavant lines generated by sndconfig:

alias sound-slot-0 cs4232
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options cs4232 isapnp=1
contents of /proc/isapnp:

Card 1 'CSC0225:CS4235 CODEC' PnP version 1.0 Product version 0.4
  Logical device 0 'CSC0100:WSS/SB'
    Device is active
    Active port 0x534,0x388,0x220
    Active IRQ 5 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x534-0x534, align 0x3, size 0x4, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x4, 16-bit address decoding
      Port 0x220-0x220, align 0x1f, size 0x10, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x534-0xffc, align 0x3, size 0x4, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x4, 16-bit address decoding
        Port 0x220-0x260, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 3,4,5,7,10,11 High-Edge
        DMA 1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 1 'CSC010f:DISABLED'
    Device is not active
  Logical device 2 'CSC0110:CTRL'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x120-0x3a8, align 0x7, size 0x8, 16-bit address decoding
Comment 1 Bill Nottingham 2003-10-13 16:03:13 EDT
ad1848 needs to not claim this device.
Comment 2 Dave Jones 2004-11-19 21:05:37 EST
still a problem with current release ?
Comment 3 Fred New 2004-11-20 04:42:11 EST
I've moved to a newer machine, so I cannot test this.  This sound
device seems to be rare and aging, so you can probably close this bug.

Note You need to log in before you can comment on or make changes to this bug.